package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 能源设施能流关系对象 adm_ems_facs_flow_rel
 * 
 * @author ruoyi
 * @date 2024-07-10
 */
public class EmsFacsFlowRel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 编码 */
    @Excel(name = "编码")
    private String code;

    /** 能源输出设施 */
    private String exportFacsCode;

    /** 能源输出设施名称 */
    @Excel(name = "能源输出设施")
    private String exportFacsName;

    /** 能源流入设施 */
    private String inputFacsCode;

    /** 能源流入设施名称 */
    @Excel(name = "能源流入设施")
    private String inputFacsName;

    /** 能源流动介质 */
    private String emsCls;

    /** 能源流动介质名称 */
    @Excel(name = "能源流动介质")
    private String emsClsName;

    /** 供能状态
     *  0-停止，1-供应中
     */
    @Excel(name = "供能状态")
    private Long state;

    /**
     * 动作类型
     * 4501-购电，4502-上网，4503-充电，4504-放电，4505-自产自销
     */
    @Excel(name = "动作类型")
    private String actionType;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setExportFacsCode(String exportFacsCode) 
    {
        this.exportFacsCode = exportFacsCode;
    }

    public String getExportFacsCode() 
    {
        return exportFacsCode;
    }
    public void setInputFacsCode(String inputFacsCode) 
    {
        this.inputFacsCode = inputFacsCode;
    }

    public String getInputFacsCode() 
    {
        return inputFacsCode;
    }
    public void setEmsCls(String emsCls) 
    {
        this.emsCls = emsCls;
    }

    public String getEmsCls() 
    {
        return emsCls;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setActionType(String actionType) 
    {
        this.actionType = actionType;
    }

    public String getActionType() 
    {
        return actionType;
    }

    public String getExportFacsName() {
        return exportFacsName;
    }

    public void setExportFacsName(String exportFacsName) {
        this.exportFacsName = exportFacsName;
    }

    public String getInputFacsName() {
        return inputFacsName;
    }

    public void setInputFacsName(String inputFacsName) {
        this.inputFacsName = inputFacsName;
    }

    public String getEmsClsName() {
        return emsClsName;
    }

    public void setEmsClsName(String emsClsName) {
        this.emsClsName = emsClsName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("exportFacsCode", getExportFacsCode())
            .append("inputFacsCode", getInputFacsCode())
            .append("emsCls", getEmsCls())
            .append("state", getState())
            .append("actionType", getActionType())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
